Summary:	A music player and manager for KDE
Name:		juk
Version:	17.12.3
Release:	1
Epoch:		3
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		http://www.kde.org/applications/multimedia/juk/
Source0:	ftp://ftp.kde.org/pub/kde/stable/applications/%{version}/src/%{name}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	kf5coreaddons-devel
BuildRequires:	kf5completion-devel
BuildRequires:	kf5config-devel
BuildRequires:	kf5crash-devel
BuildRequires:	kf5doctools-devel
BuildRequires:	kf5globalaccel-devel
BuildRequires:	kf5i18n-devel
BuildRequires:	kf5iconthemes-devel
BuildRequires:	kf5jobwidgets-devel
BuildRequires:	kf5kio-devel
BuildRequires:	kf5notifications-devel
BuildRequires:	kf5textwidgets-devel
BuildRequires:	kf5wallet-devel
BuildRequires:	kf5widgetsaddons-devel
BuildRequires:	kf5windowsystem-devel
BuildRequires:	kf5xmlgui-devel
BuildRequires:	pkgconfig(phonon4qt5)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(taglib)
# Breaks KF5 build
BuildConflicts:	libtunepimp-devel
Conflicts:	kde5-l10n < 17.04

%description
JuK is an audio jukebox application, supporting collections of MP3, Ogg
Vorbis, and FLAC audio files. It allows you to edit the "tags" of your
audio files, and manage your collection and playlists. It's main focus,
in fact, is on music management.

%files -f %{name}.lang
%{_kde5_applicationsdir}/org.kde.juk.desktop
%{_kde5_datadir}/juk
%{_kde5_bindir}/juk
%{_kde5_iconsdir}/*/*/apps/juk.*
%{_kde5_services}/ServiceMenus/jukservicemenu.desktop
%{_kde5_xmlguidir}/juk/*
%{_appdatadir}/org.kde.juk.appdata.xml
%{_datadir}/dbus-1/interfaces/org.kde.juk.collection.xml
%{_datadir}/dbus-1/interfaces/org.kde.juk.player.xml
%{_datadir}/dbus-1/interfaces/org.kde.juk.search.xml

#------------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

%find_lang %{name} --with-kde --with-html

%changelog

* Tue Apr 03 2018 Andrey Bondrov <andrey.bondrov@rosalab.ru> 3:17.12.3-1
- (1c0eacd) Disable libtunepimp-devel for now (breaks KF5 build)
- (1c0eacd) Update files
- (Andrey Bondrov: 3e76289) New version 17.12.3

* Tue Jul 18 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 3:17.04.3-1
- (97376e3) New version 17.04.3

* Tue Jun 27 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 3:17.04.2-1
- (0a24ae6) New version 17.04.2

* Fri Mar 10 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 3:16.12.3-1
- (503b6f5) New version 16.12.3

* Tue Feb 14 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 3:16.12.2-1
- (dfc2d0d) New version 16.12.2

* Sat Feb 04 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 3:16.12.1-2
- (1648deb) MassBuild#1230: Increase release tag

* Sat Jan 28 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 3:16.12.1-1
- (b2a93b8) New version 16.12.1

* Tue Oct 25 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 3:16.08.2-1
- (ed3a2b3) Update files
- (Andrey Bondrov: f020916) New version 16.08.2

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 3:4.14.3-2
- (cc9a5da) MassBuild#1169: Increase release tag

* Mon Nov 17 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 3:4.14.3-1
- (de3b2b0) LOG New version 4.14.3 (sync spec and patches with Cooker)

* Sun Jul 20 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 3:4.13.3-1
- (dc98f8e) LOG New version 4.13.3 (sync spec and patches with Cooker)

* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 3:4.13.2-2
- (a32a597) MassBuild#440: Increase release tag

* Mon Jun 16 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 3:4.13.2-1
- (c1b376c) LOG New version 4.13.2 (sync spec and patches with Cooker)

* Wed Apr 09 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 3:4.12.4-1
- (148146b) LOG New version 4.12.4 (sync spec and patches with Cooker)

* Thu Mar 13 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 3:4.12.3-1
- (6fef666) LOG New version 4.12.3 (sync spec and patches with Cooker)

* Wed Dec 18 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 3:4.11.4-1
- (9a3cbaf) LOG New version 4.11.4

* Thu Nov 14 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 3:4.11.3-1
- (a8da2d3) LOG New version 4.11.3

* Fri Oct 25 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 3:4.11.2-1
- (9249337) LOG New version 4.11.2

* Tue Jul 09 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 3:4.10.5-1
- (a4fa969) LOG New version 4.10.5

* Thu Jun 13 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 3:4.10.4-1
- (ba74b41) LOG New version 4.10.4

* Wed May 22 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 3:4.10.3-1
- (f6605a3) LOG New version 4.10.3 (sync with Cooker)

* Sat Jan 26 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 3:4.9.5-1
- (ad9e96c) LOG New version 4.9.5

* Thu Dec 06 2012 Andrey Bondrov <andrey.bondrov@rosalab.ru> 3:4.9.4-1
- (9d8756a) LOG New version 4.9.4

* Thu Nov 08 2012 Andrey Bondrov <andrey.bondrov@rosalab.ru> 3:4.9.3-1
- (7b36538) LOG New version 4.9.3

* Sat Oct 06 2012 Andrey Bondrov <andrey.bondrov@rosalab.ru> 3:4.9.2-1
- (6ebf606) New version 4.9.2

* Wed Sep 12 2012 Andrey Bondrov <andrey.bondrov@rosalab.ru> 3:4.9.1-1
- (53e92fc) New version 4.9.1

* Tue Aug 14 2012 Andrey Bondrov <andrey.bondrov@rosalab.ru> 3:4.9.0-1
- (2bbded3) New version 4.9.0

* Sun Jul 22 2012 Andrey Bondrov <andrey.bondrov@rosalab.ru> 3:4.8.97-1
- (55f0d60) New version 4.8.97


